Ape 2 mp3 hvordan? Emnet er løst

Forum for support til grafik og lydkort.
Klaus Rasmussen
Admin
Indlæg: 5521
Tilmeldt: 26. apr 2010, 02:40
IRC nickname: ClaudiuS
Geografisk sted: Nyborg [fyn]

Re: Ape 2 mp3 hvordan?

Indlægaf Klaus Rasmussen » 8. okt 2010, 02:00

Jeg får også denne output.wav i tmp mappe.

Multiple frames in a packet from stream 0
Multiple frames in a packet from stream 0
Multiple frames in a packet from stream 0
Multiple frames in a packet from stream 0
Multiple frames in a packet from stream 0
Multiple frames in a packet from stream 0
size= 827063kB time=4801.09 bitrate=1411.2kbits/s
video:0kB audio:827063kB global headers:0kB muxing overhead 0.000005%
+ '[' 0 '!=' 0 ']'
+ shnsplit -q -o 'cust ext=mp3 lame --quiet --preset standard - "%f"' -f '_CDImage.ape.cue output.wav.cue' -t '%n. %t' /tmp/output.wav
shnsplit: error: could not open split point file: [_CDImage.ape.cue output.wav.cue]
+ '[' 1 '!=' 0 ']'
+ echo 'shnsplit reported an error'
shnsplit reported an error
+ exit 1
klaus@klaus-desktop:~/Musik$


De øverste linier kommer der 1000 vis af strømmende forbi på skærmen
Med Venlig Hilsen
Klaus

Kører Ubuntu 22.04 på ASUS All-Series, og Probook 4520s.
Gratis Ubuntumagasin: http://fullcirclemagazine.org/
https://mega.nz/folder/aJsmCYKa#dxMHKTi4Idmz6hiVpsI68Q

zob
Redaktør
Indlæg: 4430
Tilmeldt: 6. jan 2009, 22:01
Geografisk sted: København

Re: Ape 2 mp3 hvordan?

Indlægaf zob » 8. okt 2010, 02:18

Du er lige ved at være der. Jeg fik en lignende fejl på et tidspunkt (og nævnte det i en post i denne tråd). Det skete da jeg forsøgte at "ordne sagerne" der hvor jeg oprindeligt havde den ape-fil liggende (en ekstern disk). Jeg kopierede ape-filen, cue-filen og scriptet til skrivebordet (så må der antageligt ikke være andre ape eller cue filer på skrivebordet) og kørte det der, og så virkede det. Jeg ved ikke hvorfor, men sådan var det - lidt et mysterium.

Så prøv det, hvis ikke du har gjort det.

Klaus Rasmussen
Admin
Indlæg: 5521
Tilmeldt: 26. apr 2010, 02:40
IRC nickname: ClaudiuS
Geografisk sted: Nyborg [fyn]

Re: Ape 2 mp3 hvordan?

Indlægaf Klaus Rasmussen » 8. okt 2010, 02:47

Det hjalp! Nu laver scriptet de 16 mp3 filer. Tror egentlig ikke de behøver ligge på skrivebordet, men at der kun må være de nødvendige filer tilstede.

Takker alle de deltagende for interessen; det blev jo til en længere affære.

PS. Er der nogen der ved hvordan man så også får en rimelig kvalitet på mp3-filerne?
Mine er på skuffende 96 kbps. Ville gerne være endt på 256.
Med Venlig Hilsen
Klaus

Kører Ubuntu 22.04 på ASUS All-Series, og Probook 4520s.
Gratis Ubuntumagasin: http://fullcirclemagazine.org/
https://mega.nz/folder/aJsmCYKa#dxMHKTi4Idmz6hiVpsI68Q

AJenbo
Admin
Indlæg: 20860
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Ape 2 mp3 hvordan?

Indlægaf AJenbo » 8. okt 2010, 04:01

Åben scriptet i et tekst værktøj og søg efter

--preset standard


Udskift det med
--preset 256

Klaus Rasmussen
Admin
Indlæg: 5521
Tilmeldt: 26. apr 2010, 02:40
IRC nickname: ClaudiuS
Geografisk sted: Nyborg [fyn]

Re: Ape 2 mp3 hvordan?

Indlægaf Klaus Rasmussen » 8. okt 2010, 11:28

Det gav ingen ændring. Endvidere gaav den så samme fejl på næste skive.:

Multiple frames in a packet from stream 0
Multiple frames in a packet from stream 0
Multiple frames in a packet from stream 0
size= 776615kB time=4508.24 bitrate=1411.2kbits/s
video:0kB audio:776615kB global headers:0kB muxing overhead 0.000006%
+ '[' 0 '!=' 0 ']'
+ shnsplit -q -o 'cust ext=mp3 lame --quiet --preset 256 - "%f"' -f 'CDImage.ape.cue CDImage.wav.cue' -t '%n. %t' /tmp/output.wav
shnsplit: error: could not open split point file: [CDImage.ape.cue CDImage.wav.cue]
+ '[' 1 '!=' 0 ']'
+ echo 'shnsplit reported an error'
shnsplit reported an error
+ exit 1
klaus@klaus-desktop:~/Skrivebord$


Tilføjet: Der må kun ligge én cue-fil i mappen. Så kører det.
Stor tak til alle de der deltog.
Med Venlig Hilsen
Klaus

Kører Ubuntu 22.04 på ASUS All-Series, og Probook 4520s.
Gratis Ubuntumagasin: http://fullcirclemagazine.org/
https://mega.nz/folder/aJsmCYKa#dxMHKTi4Idmz6hiVpsI68Q

zob
Redaktør
Indlæg: 4430
Tilmeldt: 6. jan 2009, 22:01
Geografisk sted: København

Re: Ape 2 mp3 hvordan? [LØST]

Indlægaf zob » 8. okt 2010, 12:53

Lur mig om man ikke kan ændre selve gstreamer's preset (som er den bagvedliggende motor i encoding).
Hvis du taster ALT+F2 og skriver gnome-audio-profiles-properties har du mulighed for at redigere din MP3 preset. Men hvordan linjen skal se ud er lidt af et mysterium.
Hvis man kører

Kode: Vælg alt

gst-inspect-0.10 lame
kan man vist få et overblik over mulighed. Men det er vist for det der hedder "den avancerede bruger".
Du kan også læse op på dit encoding pensum her: http://wiki.hydrogenaudio.org/index.php ... _answer.29

Jeg kan sige at min linje (i gnome-audio-profiles-properties, CD-kvalitet, MP3 -> Redigér -> Gstreamer datakanal) ser ud som følger:

Kode: Vælg alt

audio/x-raw-int,rate=44100,channels=2 ! lame name=enc mode=0 vbr-quality=6 ! id3v2mux

Den giver VBR omkring 192 kbps.
Hvis du går denne vej, skal du nok ændre scriptet tilbage til at hedde "--preset standard", der hvor du foretog ændringen.

Klaus Rasmussen
Admin
Indlæg: 5521
Tilmeldt: 26. apr 2010, 02:40
IRC nickname: ClaudiuS
Geografisk sted: Nyborg [fyn]

Re: Ape 2 mp3 hvordan? [LØST]

Indlægaf Klaus Rasmussen » 8. okt 2010, 17:07

Dette script danner mp3-filer fra flac-image + cue-file:

#!/bin/bash
#
# Convert ".APT" (Monkey Audio Codec) to MP3
#
# TOOLS: shnsplit(shntool), lame, ffmpeg
#
# Licence: GPL
# by jens (dot) harms (at) informatik.uni-oldenburg.de
#
# shnsplit variables
# %p Performer
# %a Album
# %t Track title
# %n Track number
#
set -x
WAV=/tmp/output.wav
FLAC=$(echo *.flac)
CUE=$(echo *.cue)
#
create_mp3()
{
# convert FLAC to WAVE - Format Audio File
ffmpeg -i "$FLAC" "$WAV"
if [ $? != 0 ]
then
echo 1>&2 "ffmpeg reported an error"
exit 1
fi
#
# split single .wav with the help of cue-file into separate mp3 format audio files
shnsplit -q -o 'cust ext=mp3 lame --quiet --preset standard - "%f"' -f "$CUE" -t "%n. %t" "$WAV"
if [ $? != 0 ]
then
echo 1>&2 "shnsplit reported an error"
exit 1
fi
#
# clean up double quotes in filenames
for a in *.mp3
do
out=$(echo "$a" | sed s/\\\"//g)
mv "$a" "$out"
done
}
#
list_files()
{
a=($@)
echo "Number of files: " ${#a[@]}
}
#
main()
{
create_mp3
rm $WAV
#
# create a list of all .mp3 files sorted by track number
for((i=1;i<200;i++))
do
n=$(printf "%0.2d." $i)
f=$(echo $n*.mp3)
if ! [ -f "$f" ]
then
break
fi
p=$(($i-1))
flist[$p]="$f"
done
cuetag "$CUE" "${flist[@]}"
}
#
main $@
Med Venlig Hilsen
Klaus

Kører Ubuntu 22.04 på ASUS All-Series, og Probook 4520s.
Gratis Ubuntumagasin: http://fullcirclemagazine.org/
https://mega.nz/folder/aJsmCYKa#dxMHKTi4Idmz6hiVpsI68Q

Tilbage til "Grafik og lyd"

Hvem er online

Brugere der læser dette forum: [Crawler] og 3 gæster